package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireRegionE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-11-26 10:13:09
 */
public interface FireRegionGateway {

    /**
     * 新增
     */
    Boolean add(FireRegionE fireRegionE);

    /**
     * 修改
     */
    Boolean update(FireRegionE fireRegionE);

    /**
     * 删除
     */
    Boolean deletedFireRegionById(Long id);

    Boolean deletedFireRegionByIds(Long[] id);
}

